# Get customer details

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/customers/:customer_ref?business_id=986acd67-b306-4642-87aa-99ba512b2601&expand=true
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Path Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>customer_ref</strong><br><code>string</code></td><td>Customer reference</td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Business ID</td></tr><tr><td><strong>expand</strong><br><code>boolean</code></td><td>Expand the customer details</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/wallets/customers/cus_YiqclZBWbPFM?business_id=986ac67-b306-4642-87aa-99ba512b2601&expand=true' \
--header 'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f24620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://api.tryduplo.com/v1/wallets/customers/cus_YiqclZBWbPFM?business_id=96acd67-b306-4642-87aa-99ba512b2601&expand=true',
  headers: { 
    'Authorization': 'Bearer dp_live_856879dfb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/customers/cus_YiqclZBWbPFM?business_id=986acd67-b306-4642-87aa-99ba512b2601&expand=true',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050ec642d2ff8d35a09225c7ec4fd1e347b'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "wallets": [
            {
                "currency": "NGN",
                "ledger_balance": 0,
                "available_balance": 0,
                "opening_balance": 0,
                "closing_balance": 0,
                "is_master": false,
                "bank_accounts": [
                    {
                        "provider": {
                            "id": "wema",
                            "bank_code": "111",
                            "bank_name": "Wema Bank",
                            "is_prefix": true,
                            "requires_bvn": false,
                            "prefixes": [
                                "809"
                            ],
                            "fixed_amount_prefixes": [
                                "841"
                            ],
                            "default": true
                        },
                        "account_number": "8090010715",
                        "account_name": "Rolbe Ceaser"
                    }
                ],
                "status": "Active",
                "notes": [],
                "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                "wallet_ref": "wal_6j6vAqaDNB4K",
                "created_at": "2022-09-23T09:03:35.000Z",
                "email": "ceaser@yopmail.com",
                "metadata": "{}",
                "updated_at": "2022-12-12T11:34:50.928Z",
                "customer": "632d7667dd3174000d741f5a"
            }
        ],
        "_id": "632d7667dd3174000d741f5a",
        "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
        "phone_number": "08123456789",
        "email": "ceaser@yopmail.com",
        "first_name": "Rolbe",
        "last_name": "Ceaser",
        "customer_ref": "cus_YiqclZBWbPFM",
        "created_at": "2022-09-23T09:03:35.176Z",
        "updated_at": "2022-09-23T09:03:35.976Z",
        "__v": 0
    },
    "errors": {},
    "message": "Request successful"
}
```
